# -*- coding: utf-8 -*-
import clr
import sys
import System

sys.path.append(UI.StartupPath+'\Script\Module\dll')
clr.AddReferenceToFile("EasyScript.dll")
from EasyScript import *
EasyScript = EasyScript()

UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※【免空科學研究所 　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】※")
UI.UpdateLog("※～㊣　　　　　　　　 　　傻Ｂ　　製作分享　　　　　　　㊣～※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.13")
UI.UpdateLog("【上傳空間】：filer.net")
UI.UpdateLog("【上傳大小】：200 MB")
UI.UpdateLog("【砍檔時間】：未知")
UI.UpdateLog("【腳本功能】：無帳號上傳")
UI.UpdateLog("＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝",2)
URL="http://filer.net/"
HTML=HTTP.GetURL(URL)
UI.UpdateLog("開始進入上傳頁面…",2)
up_link=EasyScript.GetstrToVariable(HTML,'post" action="','"',1)
session=EasyScript.GetstrToVariable(HTML,'session" value="','"',1)
HTTP.AddUpParam("session",session)
HTTP.AddFileReference("files")
HTML=UI.UpFile(up_link)
DL_ID=EasyScript.GetstrToVariable(HTML,'hash":"','"',1)
if DL_ID!=False:
	DL_LINK="http://filer.net/get/"+DL_ID
	UI.UpdateLog("＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝",2)
        UI.UpdateLog("下載連結：",4)
        UI.UpdateLog(DL_LINK)
        UI.AddShareLink(DL_LINK)
        UI.ProceSuccess()
else:
        UI.UpdateLog("無法取得網址",3)
        UI.ProceFalse()